Subject: [CGA-EXT] Questions on draft-haddad-csi-symbiotic-sendproxy-01

From: Tony Cheneau <[email-masked]>
Date: Mon, 11 Jan 2010 11:18:37 +0100 (CET)

Hello,

I read draft-haddad-csi-symbiotic-sendproxy-01 and I find the idea 
interesting.

I am wondering, since your proposal uses a hash as the Modifier (the 
RAN(128)), how do you use the SEC parameter ? Or maybe you can not 
anymore. In RFC 3972, a loop increments the Modifier during the CGA 
generation process. This seems incompatible with your solution.
Maybe I missed something and the RAN(128) is different from the Modifier 
and is an extension field in the CGA PDS (and this would solve the 
problem).

Also, can you confirm that the weak form of anonymity that you describe in 
the motivation is the one provided in section 5.1 ? I.e. that the node
delegates the proxying task while attached to the link.

Regards,
 	Tony